package com.bocloud.cmp.model;

import com.bocloud.common.model.RequestContext;

/**
 * 通知消息体
 *
 * @author weiwei
 * @since 2017年7月26日
 */
public class NotifyMessage {
    private String subject;
    private String content;
    private String emailContent;
    private RequestContext context;

    public String getEmailContent() {
        return emailContent;
    }

    public void setEmailContent(String emailContent) {
        this.emailContent = emailContent;
    }

    private boolean sendMsg;
    private boolean sendEmail;

    /**
     *
     */
    public NotifyMessage() {
        super();
    }

    /**
     * @param context
     * @param subject
     * @param content
     * @param sendMsg
     * @param sendEmail
     */
    public NotifyMessage(RequestContext context, String subject, String content, boolean sendMsg, boolean sendEmail) {
        super();
        this.context = context;
        this.subject = subject;
        this.content = content;
        this.sendMsg = sendMsg;
        this.sendEmail = sendEmail;
    }

    public NotifyMessage(RequestContext context, String subject, String content, String emailContent, boolean sendMsg,
                         boolean sendEmail) {
        super();
        this.context = context;
        this.subject = subject;
        this.content = content;
        this.emailContent = emailContent;
        this.sendMsg = sendMsg;
        this.sendEmail = sendEmail;
    }

    /**
     * @return the subject
     */
    public String getSubject() {
        return subject;
    }

    /**
     * @param subject the subject to set
     */
    public void setSubject(String subject) {
        this.subject = subject;
    }

    /**
     * @return the content
     */
    public String getContent() {
        return content;
    }

    /**
     * @param content the content to set
     */
    public void setContent(String content) {
        this.content = content;
    }

    /**
     * @return the sendMsg
     */
    public boolean isSendMsg() {
        return sendMsg;
    }

    /**
     * @param sendMsg the sendMsg to set
     */
    public void setSendMsg(boolean sendMsg) {
        this.sendMsg = sendMsg;
    }

    /**
     * @return the sendEmail
     */
    public boolean isSendEmail() {
        return sendEmail;
    }

    /**
     * @param sendEmail the sendEmail to set
     */
    public void setSendEmail(boolean sendEmail) {
        this.sendEmail = sendEmail;
    }

    public RequestContext getContext() {
        return context;
    }

    public void setContext(RequestContext context) {
        this.context = context;
    }
}
